Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
users
/
{customer_id}
/
communication
/
{operation}
/
{field}
Verify Customer email/phone_number
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/users/{customer_id}/communication/{operation}/{field} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>"
}
'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255
field
enum<string>
required

field to verify

Available options:
email,
phone_number
operation
enum<string>
required

Verify operation

Available options:
send-verification-code,
confirm-verification-code

Body

application/json

verification code

code
string

Verification code sent to customer

Response

No content